tagmp3(1)

NAME
tagmp3 - manipulate ID3v1 tags

SYNOPSIS
tagmp3 [ -n ] mode [ format ] [ file ] ...

DESCRIPTION
tagmp3 allows you to set and remove ID3v1 tags from mp3 files. Additionaly move mode can be used to move mp3 files according to their ID3v1 tag. An ID3v1 tag is a chunk of extra informations such as artist name, album and genre. ID3v1 tags are displayed by most mp3 players.

MODE

show
    show file's ID3v1 tag.

set sets file's ID3v1 tag according to format.

move
    move file to a destination based on FORMAT.

del remove file's ID3v1 tag if any.

list
    displays numeric music genres along with their meaning.

-h  print a (not so) short help message.

-v  print version and exit.

OPTIONS

-n  Show what will be done, don't alter any file.

FORMAT STRING
The format string is a character string composed of zero or more directives: ordinary characters (not %), which are not interpreted and conversion specifications, each of which results in the corresponding ID3v1 tag field substitution. Each conversion specification is introduced by the character %. The following lines describes each conversion specification along with its associated ID3v1 field. Special sequence %% is substituted with a single %.

%A  Artist Name

%a  Album Name

%t  Song Title

%T  Track Number

%y  Year

%g  Genre

%c  Comments

format string for set mode
For set mode the format string is a list of ID3v1 fields followed by a ':' (next chars are the field value) or a '?' (ask user for field value)

    example: tagmp3 set "%A:Pink Floyd %a:The Wall %t? %T?" *.mp3
    For each mp3 of this directory, sets the artist name to Pink Floyd and the album to The Wall. For each file ask for the title and the track number. Leave the other fields untouched. Be aware that genre field require a numeric value. Known genres can be displayed with the list mode.

format string for move mode
The format string is the destination path where each field identifier is substituted with the tag value.

    example: tagmp3 move "/home/foo/mp3/%A/%a/%T-%t.mp3" *.mp3
    with the set example above will move all mp3 to "/home/foo/mp3/Pink Floyd/The Wall/{track}-{title}.mp3"
    If you prefer the "flat" naming scheme, you will use something like
    tagmp3 move "%A-%t.mp3" *.mp3

NOTES
move mode never overwrite files.
move mode creates intermediate directories specified in the format string. Each directory creation is to be confirmed by the user.
ID3v2 tags are not supported so far.
If a file can't be moved ( wrong file type, ID3v1 tag absent or blank field , ...) then it is left untouched.
Fake mp3 (i.e. Wave file with .mp3 extension) are moved into "fake-mp3/" directory in move mode. set mode refuses to tag them since this would add noisy artifact at the end of the song.

BUGS
Plenty of :)
For move mode, source and destination must reside on the same file system / partition.

AUTHOR
Laurent Alacoque <laureck@users.sourceforge.net> CopyLeft 2001
Bugs, patch, infos, new releases, girls, money go to :
http://mpgtx.sourceforge.net/